# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 50) do

  create_table "articles_categories", :id => false, :force => true do |t|
    t.column "article_id", :integer
    t.column "category_id", :integer
    t.column "is_primary", :integer
  end

  create_table "articles_tags", :id => false, :force => true do |t|
    t.column "article_id", :integer
    t.column "tag_id", :integer
  end

  create_table "blacklist_patterns", :force => true do |t|
    t.column "type", :string
    t.column "pattern", :string
  end

  add_index "blacklist_patterns", ["pattern"], :name => "blacklist_patterns_pattern_index"

  create_table "blogs", :force => true do |t|
    t.column "settings", :text
  end

  create_table "categories", :force => true do |t|
    t.column "name", :string
    t.column "position", :integer
    t.column "permalink", :string
  end

  add_index "categories", ["permalink"], :name => "categories_permalink_index"

  create_table "contents", :force => true do |t|
    t.column "type", :string
    t.column "title", :string
    t.column "author", :string
    t.column "body", :text
    t.column "body_html", :text
    t.column "extended", :text
    t.column "excerpt", :text
    t.column "keywords", :string
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
    t.column "extended_html", :text
    t.column "user_id", :integer
    t.column "permalink", :string
    t.column "guid", :string
    t.column "text_filter_id", :integer
    t.column "whiteboard", :text
    t.column "article_id", :integer
    t.column "email", :string
    t.column "url", :string
    t.column "ip", :string, :limit => 40
    t.column "blog_name", :string
    t.column "name", :string
    t.column "published", :boolean, :default => false
    t.column "allow_pings", :boolean
    t.column "allow_comments", :boolean
    t.column "blog_id", :integer, :null => false
    t.column "published_at", :datetime
    t.column "state", :text
    t.column "status_confirmed", :boolean
  end

  add_index "contents", ["article_id"], :name => "contents_article_id_index"
  add_index "contents", ["blog_id"], :name => "contents_blog_id_index"

  create_table "notifications", :id => false, :force => true do |t|
    t.column "notify_user_id", :integer
    t.column "notify_content_id", :integer
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
  end

  create_table "page_caches", :force => true do |t|
    t.column "name", :string
  end

  add_index "page_caches", ["name"], :name => "page_caches_name_index"

  create_table "pings", :force => true do |t|
    t.column "article_id", :integer
    t.column "url", :string
    t.column "created_at", :datetime
  end

  add_index "pings", ["article_id"], :name => "pings_article_id_index"

  create_table "redirects", :force => true do |t|
    t.column "from_path", :string
    t.column "to_path", :string
  end

  create_table "resources", :force => true do |t|
    t.column "size", :integer
    t.column "filename", :string
    t.column "mime", :string
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
    t.column "article_id", :integer
    t.column "itunes_metadata", :boolean
    t.column "itunes_author", :string
    t.column "itunes_subtitle", :string
    t.column "itunes_duration", :integer
    t.column "itunes_summary", :text
    t.column "itunes_keywords", :string
    t.column "itunes_category", :string
    t.column "itunes_explicit", :boolean
  end

  create_table "sessions", :force => true do |t|
    t.column "sessid", :string
    t.column "data", :text
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
  end

  add_index "sessions", ["sessid"], :name => "sessions_sessid_index"

  create_table "sidebars", :force => true do |t|
    t.column "controller", :string
    t.column "active_position", :integer
    t.column "config", :text
    t.column "staged_position", :integer
  end

  create_table "tags", :force => true do |t|
    t.column "name", :string
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
    t.column "display_name", :string
  end

  create_table "text_filters", :force => true do |t|
    t.column "name", :string
    t.column "description", :string
    t.column "markup", :string
    t.column "filters", :text
    t.column "params", :text
  end

  create_table "triggers", :force => true do |t|
    t.column "pending_item_id", :integer
    t.column "pending_item_type", :string
    t.column "due_at", :datetime
    t.column "trigger_method", :string
  end

  create_table "users", :force => true do |t|
    t.column "login", :string
    t.column "password", :string
    t.column "email", :text
    t.column "name", :text
    t.column "notify_via_email", :boolean
    t.column "notify_on_new_articles", :boolean
    t.column "notify_on_comments", :boolean
    t.column "notify_watch_my_articles", :boolean
    t.column "notify_via_jabber", :boolean
    t.column "jabber", :string
  end

end
